version: "1.0"

profile:
  name: qodana.recommended

projectJDK: azul-21

linter: jetbrains/qodana-jvm-community

exclude:
  - name: All
    paths:
      - serverpackcreator-web-frontend
      - serverpackcreator-api/src/main/kotlin/io
      - serverpackcreator-api/src/main/kotlin/mslinks
      - licenses
      - media
      - misc
      - root
  - name: MemberVisibilityCanBePrivate
  - name: UnusedSymbol
  - name: LeakingThis
  - name: JoinDeclarationAndAssignment
